## EvFileExporter

EvFileExporter

## Functions

void | ev_file_exporter_begin ()
void | ev_file_exporter_begin_page ()
void | ev_file_exporter_do_page ()
void | ev_file_exporter_end_page ()
void | ev_file_exporter_end ()
EvFileExporterCapabilities | ev_file_exporter_get_capabilities ()

## Types and Values

enum | EvFileExporterFormat
enum | EvFileExporterCapabilities
struct | EvFileExporterContext
| EvFileExporter
struct | EvFileExporterInterface

## Object Hierarchy

        GEnum
        ╰── EvFileExporterFormat
        GFlags
        ╰── EvFileExporterCapabilities
        GInterface
        ╰── EvFileExporter

## Description

## Functions

### ev_file_exporter_begin ()

    void
    ev_file_exporter_begin (EvFileExporter *exporter,
                            EvFileExporterContext *fc);

### ev_file_exporter_begin_page ()

    void
    ev_file_exporter_begin_page (EvFileExporter *exporter);

### ev_file_exporter_do_page ()

    void
    ev_file_exporter_do_page (EvFileExporter *exporter,
                              EvRenderContext *rc);

### ev_file_exporter_end_page ()

    void
    ev_file_exporter_end_page (EvFileExporter *exporter);

### ev_file_exporter_end ()

    void
    ev_file_exporter_end (EvFileExporter *exporter);

### ev_file_exporter_get_capabilities ()

    EvFileExporterCapabilities
    ev_file_exporter_get_capabilities (EvFileExporter *exporter);

#### Returns

## Types and Values

### enum EvFileExporterFormat

#### Members

EV_FILE_FORMAT_UNKNOWN |  |
EV_FILE_FORMAT_PS |  |
EV_FILE_FORMAT_PDF |  |

### enum EvFileExporterCapabilities

#### Members

EV_FILE_EXPORTER_CAN_PAGE_SET |  |
EV_FILE_EXPORTER_CAN_COPIES |  |
EV_FILE_EXPORTER_CAN_COLLATE |  |
EV_FILE_EXPORTER_CAN_REVERSE |  |
EV_FILE_EXPORTER_CAN_SCALE |  |
EV_FILE_EXPORTER_CAN_GENERATE_PDF |  |
EV_FILE_EXPORTER_CAN_GENERATE_PS |  |
EV_FILE_EXPORTER_CAN_PREVIEW |  |
EV_FILE_EXPORTER_CAN_NUMBER_UP |  |

### struct EvFileExporterContext

    struct EvFileExporterContext {
    	EvFileExporterFormat format;
    	const gchar         *filename;
    	gint                 first_page;
    	gint                 last_page;
    	gdouble              paper_width;
    	gdouble              paper_height;
    	gboolean             duplex;
    	gint                 pages_per_sheet;
    };

### EvFileExporter

    typedef struct _EvFileExporter EvFileExporter;

### struct EvFileExporterInterface

    struct EvFileExporterInterface {
            GTypeInterface base_iface;

            /* Methods  */
            void                       (* begin)            (EvFileExporter        *exporter,
    							 EvFileExporterContext *fc);
    	void                       (* begin_page)       (EvFileExporter        *exporter);
            void                       (* do_page)          (EvFileExporter        *exporter,
    							 EvRenderContext       *rc);
    	void                       (* end_page)         (EvFileExporter        *exporter);
            void                       (* end)              (EvFileExporter        *exporter);
    	EvFileExporterCapabilities (* get_capabilities) (EvFileExporter        *exporter);
    };